> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a style from your workspace

> Remove a style you own from your API workspace. Workspace members will no longer have access to the style.



## OpenAPI

````yaml https://api.krea.ai/openapi.json delete /styles/{id}/share/workspace
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /styles/{id}/share/workspace:
    delete:
      tags:
        - Styles
      summary: Remove a style from your workspace
      description: >-
        Remove a style you own from your API workspace. Workspace members will
        no longer have access to the style.
      parameters:
        - in: path
          name: id
          description: A unique identifier for a style
          schema:
            type: string
            description: A unique identifier for a style
            example: 044988d1-570c-402b-9504-46a3bc3900a7
          required: true
      responses:
        '200':
          description: Style removed from workspace successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: You do not own this style
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Style not found or not shared with this workspace
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````